/*****************************************************************/
/*********                                               *********/
/********* AUTOR:    ANTONIO ARMANDO BIZA FERREIRA       *********/
/********* PROJECTO: ECG                                 *********/
/********* DATA:     01-02-2017                          *********/
/********* IDE:      CODE COMPOSER STUDIO V5             *********/
/********* MCU:      MSP432 	                            *********/
/*********                                               *********/
/********* FILE:     MAIN.H                              *********/
/*********                                               *********/
/*****************************************************************/
#ifndef MAIN_H_
#define MAIN_H_
/*****************************************************************/
/********* INCLUDE                                       *********/
/*****************************************************************/
#include <msp432.h>
/*****************************************************************/
/********* MACROS                                        *********/
/*****************************************************************/
#define PORT2				0x0200
#define PORT5				0x0500
#define PORT6				0x0600

#define	PORT2orPORT5orPORT6		(PORT2|PORT5|PORT6)
/*PORT2*/
#define	P2OFF(x)				P2OUT &= ~(x & 0x00FF)
#define	P2ON(x)				P2OUT |=  (x & 0x00FF)
#define	P2TOGGLE(x)			P2OUT ^=  (x & 0x00FF)
#define	P2DIR2OUT(x)			P2DIR |=  (x & 0x00FF)
#define	P2DIR2IN(x)			P2DIR &= ~(x & 0x00FF)
#define	P2SEL2ON(x)			P2SEL |=  (x & 0x00FF)
#define	P2SEL2OFF(x)			P2SEL &= ~(x & 0x00FF)

/*PORT5*/
#define	P5OFF(x)				P5OUT &= ~(x & 0x00FF)
#define	P5ON(x)				P5OUT |=  (x & 0x00FF)
#define	P5TOGGLE(x)			P5OUT ^=  (x & 0x00FF)
#define	P5DIR2OUT(x)			P5DIR |=  (x & 0x00FF)
#define	P5DIR2IN(x)			P5DIR &= ~(x & 0x00FF)
#define	P5SEL2ON(x)			P5SEL |=  (x & 0x00FF)
#define	P5SEL2OFF(x)			P5SEL &= ~(x & 0x00FF)

/*PORT6*/
#define	P6OFF(x)				P6OUT &= ~(x & 0x00FF)
#define	P6ON(x)				P6OUT |=  (x & 0x00FF)
#define	P6TOGGLE(x)			P6OUT ^=  (x & 0x00FF)
#define	P6DIR2OUT(x)			P6DIR |=  (x & 0x00FF)
#define	P6DIR2IN(x)			P6DIR &= ~(x & 0x00FF)
#define	P6SEL2ON(x)			P6SEL |=  (x & 0x00FF)
#define	P6SEL2OFF(x)			P6SEL &= ~(x & 0x00FF)


#define PORT2MASK(x)			((x & PORT2) >> 4)
#define PORT5MASK(x)			((x & PORT5) >> 4)
#define PORT6MASK(x)			((x & PORT6) >> 4)

// Delay Functions
//#define OSC_1MHz
#define MHz             1000
#define KHz             1

#ifdef OSC_1MHz
 //  1 MHz
 #define delay_ms(x)     __delay_cycles((long) x * 1000)
 #define delay_us(x)     __delay_cycles((long) x)
 #define XTAL_FREQ      (1*MHz)
#else
 // 16 MHz
 #define delay_ms(x)     __delay_cycles((long) x * 1000 * 16)
 #define delay_us(x)     __delay_cycles((long) x * 16)
 #define XTAL_FREQ      (16*MHz)
#endif


// States
#define LIGADO          1
#define DESLIGADO       0
#define ON              1
#define OFF

void WatchDogHold(void);
void APP_Initialize(void);

#endif /* MAIN_H_ */
